/v1/admin/mcp-servers/{server_id}| Name | Type | Required | Description |
|---|---|---|---|
server_id | string (uuid) | Required |
| Name | Type | Required | Description |
|---|---|---|---|
X-API-Key | string | Optional |
display_nameobjectdescriptionobjectauth_typeobjectoauth_client_idobjectoauth_client_secretobjectOAuth client secret — encrypted and storedurlobjectcommandobjectcommand_argsobjectenv_varsobjectheadersobjectcredential_secret_idobjectapi_keyobjectNew API key/token — replaces existing credentialstatusobjectcurl -X PATCH '/api-proxy/v1/admin/mcp-servers/{server_id}' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"display_name": {},
"description": {},
"auth_type": {},
"oauth_client_id": {},
"oauth_client_secret": {},
"url": {},
"command": {},
"command_args": {},
"env_vars": {},
"headers": {},
"credential_secret_id": {},
"api_key": {},
"status": {}
}'{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"slug": "string",
"display_name": "string",
"description": {},
"transport_type": "string",
"auth_type": "api_key",
"icon_url": {},
"url": {},
"command": {},
"status": "string",
"status_message": {},
"tool_count": 0,
"last_discovered_at": {},
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
}curl -X PATCH '/api-proxy/v1/admin/mcp-servers/{server_id}' \
-H 'Authorization: Bearer <YOUR_TOKEN>' \
-H 'Content-Type: application/json' \
-d '{
"display_name": {},
"description": {},
"auth_type": {},
"oauth_client_id": {},
"oauth_client_secret": {},
"url": {},
"command": {},
"command_args": {},
"env_vars": {},
"headers": {},
"credential_secret_id": {},
"api_key": {},
"status": {}
}'{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"slug": "string",
"display_name": "string",
"description": {},
"transport_type": "string",
"auth_type": "api_key",
"icon_url": {},
"url": {},
"command": {},
"status": "string",
"status_message": {},
"tool_count": 0,
"last_discovered_at": {},
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
}